| USBD ROM Stack 2.0 ROM based USB device stack

Data Fields
USB_CORE_DESCS_T Struct Reference
USB Core Layer

USB descriptors data structure. More...

`#include <C:/Data/nxp/GIT/lpcopen_v3/lpcopen_version3/LPC11u6x/lpc11u6x/LPC_USBD_Lib/mw_usbd/mw_usbd_core.h>`

## Data Fields
uint8_t * | device_desc
uint8_t * | string_desc
uint8_t * | full_speed_desc
uint8_t * | high_speed_desc
uint8_t * | device_qualifier
uint8_t * | bos_descriptor

## Detailed Description

USB descriptors data structure.

This structure is used as part of USB device stack initialization parameter structure USBD_API_INIT_PARAM_T. This structure contains pointers to various descriptor arrays needed by the stack. These descriptors are reported to USB host as part of enumerations process.

Note
  All descriptor pointers assigned in this structure should be on 4 byte aligned address boundary.

## Field Documentation

## ◆ device_desc

uint8_t* USB_CORE_DESCS_T::device_desc

Pointer to USB device descriptor

## ◆ string_desc

uint8_t* USB_CORE_DESCS_T::string_desc

Pointer to array of USB string descriptors

## ◆ full_speed_desc

uint8_t* USB_CORE_DESCS_T::full_speed_desc

Pointer to USB device configuration descriptor when device is operating in full speed mode. For High speed capable device this descriptor must be at writeable memory (ex. RAM) and should not be in Read-Only memory (ex. FLASH).

## ◆ high_speed_desc

uint8_t* USB_CORE_DESCS_T::high_speed_desc

Pointer to USB device configuration descriptor when device is operating in high speed mode. For full-speed only implementation this pointer should be same as full_speed_desc. For High speed capable device this descriptor must be at writeable memory (ex. RAM) and should not be in Read-Only memory (ex. FLASH).

## ◆ device_qualifier

uint8_t* USB_CORE_DESCS_T::device_qualifier

Pointer to USB device qualifier descriptor. For full-speed only implementation this pointer should be set to null (0).

## ◆ bos_descriptor

uint8_t* USB_CORE_DESCS_T::bos_descriptor

Pointer to USB BOS descriptor. For LPM Mode only.

The documentation for this struct was generated from the following file:

- C:/Data/nxp/GIT/lpcopen_v3/lpcopen_version3/LPC11u6x/lpc11u6x/LPC_USBD_Lib/mw_usbd/mw_usbd_core.h